New Light partners with Greenstep to bring agentic finance to the NordicsLight partners with Greenstep Read the announcement

List batch operation items

GET
https://api.light.inc/v1/batch-operations/{operationId}/items

Returns the result of each record of a batch operation, in the order the records were sent. Filter on status to read only the failed ones.

Permission: none, open to any signed-in user.

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Path parameters

  • operationId string · uuidrequired

Query parameters

  • filter string

    Filter string in the format field:operator:value. To provide multiple filters, separate them with commas.

    Available operators: eq, ne, in, not_in, gt, gte, lt, lte.

    • For in and not_in operators, provide multiple values separated by the pipe character (|).

    Available fields: status, itemId.

  • limit integer · int32

    Maximum number of items to return. Default is 50, maximum is 200.

  • cursor string

    The cursor position to start returning results from. To opt-in into cursor-based pagination, provide 0 for the initial request. For subsequent requests, use nextCursor and prevCursor from the previous response to navigate. Cursor values are opaque and should not be constructed manually.

Response

  • records array of object

    List of records for the current page

    • companyId string · uuid

      ID of the company the batch operation belongs to

    • status string

      Whether the record is pending, completed or failed

      • PENDING - The record is waiting to be processed
      • COMPLETED - The record was processed
      • FAILED - The record failed. failureContext says why. A record to create that has a recordId was created, and a later step, such as opening it, failed

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of PENDING COMPLETED FAILED

    • failureContext object

      Failure context when vendor onboarding fails.

      • name string

        The error name

      • type string

        The error type

        ⚠️ This enum is not exhaustive; new values may be added in the future.

        One of BAD_REQUEST UNAUTHORIZED FORBIDDEN NOT_FOUND CONFLICT UNPROCESSABLE_CONTENT

      • errors array of object

        List of errors providing details about what went wrong

        • type string

          A string code identifying the error type

        • message string

          A human-readable message providing more details about the error

        • path array of string

          Optional path of the error when the error is for a specific field. Used mostly on BAD_REQUEST errors, that path will match the field name on the request object

        • context object

          Optional context providing additional information about the error. This can include any relevant data that might help in understanding or resolving the error

    • idempotencyKey string

      The idempotency key a record to create was sent with. Empty for an action on a record that already exists

    • recordId string · uuid

      ID of the record the item is about. A record to create has one once it is created, also when a later step, such as opening it, failed

    • createdAt string · date-time

      When the item was created

  • hasMore boolean

    Boolean flag indicating if there are more records available

  • nextCursor string

    Cursor for fetching the next page

  • prevCursor string

    Cursor for fetching the previous page